Bug 198331

Summary: Review Request: spca5xx-kmod
Product: [Fedora] Fedora Reporter: Parag AN(पराग) <panemade>
Component: Package ReviewAssignee: Thorsten Leemhuis (ignored mailbox) <bugzilla-sink>
Status: CLOSED CANTFIX QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-09-01 08:56:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Parag AN(पराग) 2006-07-11 02:26:20 EDT
Spec URL: http://people.redhat.com/pnemade/Spca5xx/spca5xx-kmod.spec
SRPM URL: http://people.redhat.com/pnemade/Spca5xx/spca5xx-kmod-20060501-1.2.6.16_1.2133_FC5.src.rpm
Description: This is the spca5xx-kmod package that contains spca5xx kernel module. spca5xx is video for linux (v4l) driver, providing support for webcams and digital cameras based on the spca5xx range of chips manufactured by SunPlus Sonix Z-star Vimicro Conexant Etoms Transvision Mars-Semi Pixart. This package requires spca5xx-kmod-common package to be installed prior.
Comment 1 Ralf Corsepius 2006-07-11 02:41:14 EDT
All kernel modules should be named kmod-*, otherwise installers (yum/apt/smart
etc.) are likely not to be able to handle them properly. 
Comment 2 Ville Skyttä 2006-07-11 02:58:22 EDT
*-kmod is correct for the source package.

But see http://fedoraproject.org/wiki/Packaging/KernelModules , missing "A
publishable explanation from the author(s) why the module is not merged with the
mainline kernel yet and when it's planned to get merged."
Comment 3 Parag AN(पराग) 2006-07-11 04:29:30 EDT
Ville Skyttä,
    Should i have to include publishable explanation from upstream source's
Author? If yes then i am going to contact author for that and will include it in
package. But where can i add that file in spca5xx-kmod package or in
spca5xx-kmod-common package?
Comment 4 Parag AN(पराग) 2006-07-11 05:48:33 EDT
There is one file regarding this i included already in spca5xx-kmod-common and
its contents are like this
=============================================================================
Dear users,
For some strange reason "Luca Risolia" is setting a lot of drivers inside the
main Kernel tree, specially those chips supported by spca5xx. Maybe there are
not enought hardware to Hack:)
As a consequence, you have to choice between spca5xx or the others. The problem
is, hotplug will detect, the in kernel driver and maybe  reject spca5xx claim.

If you load the spca5xx first with
modprobe spca5xx
there are no problem.
You can also blacklist the in kernel driver:)

.If you get problem with the main kernel drivers, don't ask me please, you
should ask here to get help:
linux-usb-devel@lists.sourceforge.net
or here for the v4l2 features :)
video4linux-list@redhat.com

best regards
Michel Xhaard
http://mxhaard.free.fr
==================================================================

But I have not found any problem from this package in FC5 with any 2.6.16 kernels.
Comment 5 Ville Skyttä 2006-07-11 12:44:34 EDT
The explanation is not required in any package (although it doesn't hurt).  Its
intention is to help FESCO to decide whether the module is appropriate for FE,
and it is sufficient to include the explanation in this bug report, see the Wiki
page.  I think the text in comment 4 does not answer that request.
Comment 6 Parag AN(पराग) 2006-07-12 00:19:15 EDT
Can you tell me what more information here required? Is not the publishable
explanation from Author given above is sufficient?
Comment 7 Ville Skyttä 2006-07-12 02:25:20 EDT
Well, it is a publishable explanation, but does not seem to explicitly answer
the questions asked from such an explanation (again, see comment 2 and the Wiki):
- why the module is not merged with the mainline kernel yet, and
- when it's planned to get merged
Comment 8 Parag AN(पराग) 2006-07-12 02:26:48 EDT
I have asked about this to Author and waiting for answer from him.
Comment 9 Parag AN(पराग) 2006-07-13 00:52:42 EDT
I need help i am not able to modprobe kernel module.
modprobe spca5xx
FATAL: Error inserting spca5xx
(/lib/modules/2.6.16-1.2133_FC5/extra/spca5xx.ko): Invalid module format

whereas installed driver from this package is at 
/lib/modules/2.6.16-1.2133_FC5/extra/spca5xx/spca5xx.ko
now how can i solve this problem?
Comment 10 Parag AN(पराग) 2006-07-13 01:00:40 EDT
if i do manual module insertion
insmod /lib/modules/2.6.16-1.2133_FC5/extra/spca5xx/spca5xx.ko
it succeeds
Comment 11 Parag AN(पराग) 2006-09-01 08:56:48 EDT
I don't want to submit this package so want to close this bug